Naar hoofdinhoud
expenses

Add a new expense to the database.

POST
/expense
X-API-Keystringheaderverplicht

Body

application/json

Expense object.

categoriesobject[]

The expense categories this expense belongs to.

codestring

The unique code of this expense, generated from the name when left empty.

created_atstring

The date and time this expense was created.

deleted_atstring

The date and time this expense was archived, or null when it is active.

descriptionstring

The description of this expense.

external_idsobject

The IDs of this expense in connected third party applications, keyed by connection.

extra_dataobject

The values of the custom fields, keyed by custom field code.

idintegerverplicht

The ID of this expense.

margininteger

The margin of this expense (legacy, no longer used).

margin_typestring

The type of margin of this expense (legacy, no longer used).

namestring

The name of this expense.

sort_orderinteger

The sort order of this expense.

tiersobject[]

The price tiers of this expense (legacy, no longer used).

updated_atstring

The date and time this expense was last updated.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.